## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:       pythia6
Version:    6.4.16
Release:    2%{?dist}
Summary:    Multipurpose Monte Carlo Event Generator for High Energy Physics.

License:    Unknown
URL:        https://root.cern.ch
Source0:    https://root.cern.ch/download/pythia6.tar.gz
Patch0:     pythia6.patch
BuildRequires:  gcc-gfortran

%description
PYTHIA is a program for the generation of high-energy physics events, i.e.
for the description of collisions at high energies between elementary
particles such as e+, e-, p and anti-p in various combinations. It contains
theory and models for a number of physics aspects, including hard and soft
interactions, parton distributions, initial and final-state parton showers,
multiple interactions, fragmentation and decay.

%package devel
Summary:    Development files for pythia6
Requires:   %{name} = %{version}-%{release}

%description devel
The pythia6-devel package contains libraries and header files for
developing applications that use pythia6.

%prep
%autosetup -p0 -n pythia6

%build
export FFLAGS="%{optflags} -fPIC"
export LDFLAGS="--build-id"
gfortran ${FFLAGS} -c pythia*.f
gfortran ${FFLAGS} -fno-second-underscore -c tpythia6_called_from_cc.F
echo 'void MAIN__() {}' >main.c
gcc %{optflags} -fPIC -c main.c
gcc %{optflags} -fPIC -c pythia6_common_address.c
gfortran %{optflags} -shared -Wl,-soname,libPythia6.so.6 -o libPythia6.so.6.4.16 \
 main.o  pythia*.o tpythia*.o
ln -s libPythia6.so.6.4.16 libPythia6.so.6
ln -s libPythia6.so.6.4.16 libPythia6.so


%install
mkdir -p %{buildroot}%{_libdir}
install -m 755 libPythia6.so.6.4.16 %{buildroot}%{_libdir}
ln -s libPythia6.so.6.4.16 %{buildroot}%{_libdir}/libPythia6.so.6
ln -s libPythia6.so.6.4.16 %{buildroot}%{_libdir}/libPythia6.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/libPythia6.so.6*

%files devel
%{_libdir}/libPythia6.so

%changelog
## START: Generated by rpmautospec
* Mon Dec 18 2023 John Doe <packager@example.com> - 6.4.16-1
- Uncommitted changes
## END: Generated by rpmautospec
